## synaptic 0.57.7.0bpo1

=== debian/changelog ===
synaptic (0.57.7.0bpo1) sarge-backports; urgency=low

  * Rebuilt for sarge.
  * Removed dpkg from build-dependencies.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 29 Jan 2006 12:22:33 +0100

synaptic (0.57.7.1) unstable; urgency=low

  * fixed build-dependencies

 -- Michael Vogt <mvo@debian.org>  Tue,  3 Jan 2006 12:32:33 +0100

synaptic (0.57.7) unstable; urgency=low

  * po/fi.po: added Finnish translation (thanks to Ilkka Tuohela)
  * po/lt.po: updated Lithuanian translation (thanks to Zygimantas Berucka)
  * po/ja.po: updated Japanese translation (thanks to AWASHIRO Ikuya)
  * po/bg.po: updated Bulgarian translation (thanks to Yavor Doganov) 
    (closes: #335032)
  * po/ca.po: updated Catalan translation (thanks to Jordi Mallach)
  * po/sv.po: updated Swedish translation (thanks to Daniel Nylander)
    (closes: #339821)
  * simple generation of download script added
  * add externaly downloaded debs command added
  * report correctly the required download size
  * bugfix in the filter code (thanks to Yann Verley)
  * renamed pt_PT.po to pt.po
  * make sure to display valid utf8 when displaying messages from apt
    (closes: #337739, #338922)

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Jan 2006 11:20:27 +0100

synaptic (0.57.6) unstable; urgency=low

  * po/ja.po:
    - updated Japanese translation (thanks to AWASHIRO Ikuya)
  * po/sv.po:
    - new swedish translation (thanks to Daniel Nylander)
      (closes: #339370)
  * always use pkgSourceList::ReadMainList() 

 -- Michael Vogt <mvo@debian.org>  Wed, 23 Nov 2005 12:35:26 +0100

synaptic (0.57.5.1) unstable; urgency=low

  * re-build in pbuilder, this fixes a build against a wrong libapt
    version *cough* (closes: #332340, #332348)

 -- Michael Vogt <mvo@debian.org>  Thu,  6 Oct 2005 07:10:35 +0200

synaptic (0.57.5) unstable; urgency=low

  * common/rpackage.cc:
    - always get the candidate version for the description (closes: #325819)
  * po/es.po:
    - updated Spanish translation (thanks to Francisco Javier F. Serrador)
  * po/ro.po:
    - added Romanian translation (thanks to Dan Damian)
  * po/hi.po:
    - added Hindi translation (thanks to Vivek Rai)
  * improved the support for error and conffile handling from
    apt/dpkg

 -- Michael Vogt <mvo@debian.org>  Wed, 5 Oct 2005 16:23:15 +0200 
