## synaptic 0.57.8ubuntu11

=== debian/changelog ===
synaptic (0.57.8ubuntu11) dapper; urgency=low

  * fix bug that the window is not visisble in the tasklist when run 
    in "install all upgrades" mode from update-notifier (thanks to
    seb128 for reporting)
  * hide the "auto-close" checkbutton when runing non-interactively,
    because synaptic won't save options then (Ubuntu: #28250)
  * better deal with invalid utf8 in the package descriptions 
    (Ubuntu: #37050, #38399)
  * increase the size of the diff dialog textview (ubuntu: #44012)
  * search in summary too (ubuntu: #32337)
  * fix focus problem (ubuntu: #39971)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 May 2006 11:41:18 +0200

synaptic (0.57.8ubuntu10) dapper; urgency=low

  * g++-4.1 fixes (thanks to Martin Michlmayr) (closes: 357863)
  * fix the invocation of the external software-properties

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Apr 2006 10:02:28 +0200

synaptic (0.57.8ubuntu9) dapper; urgency=low

  * fix a bug in the skip-taskbar handling (thanks to seb128)
  * fix the column sorting (closes: #361070)
  * use the urgency hint for the conffile prompt (ubuntu: #21898)
  * better handling of the automatic terminal expanding (ubuntu: #38935)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Apr 2006 20:43:23 +0200

synaptic (0.57.8ubuntu8) dapper; urgency=low

  * fix memory corruption problem (ubuntu #37817, #37987)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Apr 2006 19:59:35 +0200

synaptic (0.57.8ubuntu7) dapper; urgency=low

  * gtk/window_changes.glade:
    - make the dialog icon "info" instead of "warning" (ubuntu: #17085)
  * remove http:// when it was entered as part of the proxy uri 
    (ubuntu: #18038)
  * if a dpkg error happens during install run "dpkg --configure -a" 
    to recover as much as possible (ubuntu: #19021)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)
  * remove http:// when it was entered as part of the proxy uri
  * include reinstall markings in the "changes" filter

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  2 Apr 2006 11:40:45 +0200

synaptic (0.57.8ubuntu6) dapper; urgency=low

  * wording fix (ubuntu #36488)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Mar 2006 14:33:19 +0200

synaptic (0.57.8ubuntu5) dapper; urgency=low

  * fix problem with fetch window not centered on parent (thanks to
    seb128 and glatzor)
  * fix a missing set_transient() problem (ubuntu #36030)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Mar 2006 00:10:25 +0100

synaptic (0.57.8ubuntu4) dapper; urgency=low

  * fix another set_transient() problem with run with --parent-window-id
    (ubuntu #33406)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  2 Mar 2006 15:38:08 +0100

synaptic (0.57.8ubuntu3) dapper; urgency=low

  * data/synaptic.desktop.in: set X-Ubuntu-Gettext-Domain
  * make "mark" the default response in the "Mark change dialog" (ubuntu #31189)
  * don't fail if run as non-root, just explain what's wrong

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Feb 2006 10:35:43 +0100

synaptic (0.57.8ubuntu2) dapper; urgency=low

  * po/th.po: updated Thai Translation (thanks to Isriya Paireepairit)
  * po/el.po: updated Greek translation (thanks to Kostas Papadimas)
  * only clean the list dir if a update was successful
  * fix problem that some windows have a skip taskbar hint but no
    transient parent (thanks to Seb128 for reporting the problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Feb 2006 18:59:52 +0100

synaptic (0.57.8) unstable; urgency=low

  * po/pl.po: updated Polish translation (thanks to Emilian Nowak)
  * po/it.pl: updated Italian translation (thanks to Marco Colombo)
  * po/ko.pl: updated Korean translation (thanks to Changwoo Ryu)
    (closes: #346546)
  * typo fix in debian/NEWS.Debian (closes: #346130)
  * po/zh_HK.po: removed as requested by Anthony Fok (closes: #346081)
  * typo fix in po/fr.po, thanks to  Filipus Klutiero  (closes: #336999)
  * po/gl.po: added Galician translation (thanks to Nacho Resa)
  * po/es.po: updated Spanish translation 
    (thanks to Francisco Javier F. Serrador)
  * po/fi.po: updated Finnish translation (thanks to Ilkka Tuohela)
  * fix version number in about dialog (and make sure this is done
    automatically in the future) (closes: #348839)
  * applied patch from Robert Chéramy to fix un-lock problem
    (closes: #334168)
  * added --parent-window-id to make embedding easier
  * wording fixes (malone #22090)
  
 -- Michael Vogt <mvo@debian.org>  Tue, 28 Feb 2006 09:44:42 +0100
