## synaptic 0.57.8ubuntu13

=== debian/changelog ===
synaptic (0.57.8ubuntu13) dapper-updates; urgency=low

  * uploaded to dapper-updates after verification by Simon Law
    (lp: #81428)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  2 Feb 2007 18:26:00 +0100

synaptic (0.57.8ubuntu12) dapper-proposed; urgency=low

  * fix --non-interactive, --set-selections problem that is triggered
   when installing sugarcrm (lp: #81428)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jan 2007 10:26:24 +0100
