=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+PKG=synaptic
+DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
+CONFVER=$(shell  sed -n -e 's/AM_INIT_AUTOMAKE($PKG, \(.*\))/\1/p' configure.in)
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
-S_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
-S_CONFVER=$(shell  sed -n -e 's/AM_INIT_AUTOMAKE(synaptic, \(.*\))/\1/p' configure.in)
+
 
 # Rebuild configure.in to have the correct version from the change log
 ifneq ($(S_DEBVER),$(S_CONFVER))
@@ -112,12 +114,19 @@
 	dpatch deapply-all
 	rm -rf patch-stamp debian/patched
 
-svn-build:
-	rm -rf debian/svn-build
-	mkdir -p debian/svn-build/synaptic-$(S_DEBVER)
-	svn ls -R | xargs tar --no-recursion -c -v -f -  | (cd debian/svn-build/synaptic-$(S_DEBVER) ; tar xf -)
-	debian/svn-build/synaptic-$(S_DEBVER)/autogen.sh
-	(cd debian/svn-build/synaptic-$(S_DEBVER); $(DEB_BUILD_PROG))
+#svn-build: configure.in
+#	rm -rf debian/svn-build
+#	mkdir -p debian/svn-build/synaptic-$(S_DEBVER)
+#	svn ls -R | xargs tar --no-recursion -c -v -f -  | (cd debian/svn-build/synaptic-$(S_DEBVER) ; tar xf -)
+#	debian/svn-build/synaptic-$(S_DEBVER)/autogen.sh
+#	(cd debian/svn-build/synaptic-$(S_DEBVER); $(DEB_BUILD_PROG))
+
+arch-build:
+	rm -rf debian/arch-build
+	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
+	debian/arch-build/$(PKG)-$(DEBVER)/autogen.sh
+	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
 
 
 binary: binary-indep binary-arch
