## synaptic 0.57.11ubuntu12

=== debian/changelog ===
synaptic (0.57.11ubuntu12) edgy; urgency=low

  * gtk/gsyncaptic.cc:
    - fix in the checking for already runing synaptic (lp: 62754)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:09:16 +0200

synaptic (0.57.11ubuntu11) edgy; urgency=low

  * common/rpackagelister.cc:
    - use pkgActionGroup to fix performance regression in setSelection()
  * performance regression fixes (lp: #63171)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Oct 2006 13:57:42 +0200

synaptic (0.57.11ubuntu10) edgy; urgency=low

  * common/rpackagelister.cc:
    - run refresh() after re-adjusting the size of the packages (lp: #62298)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Sep 2006 17:33:28 +0200

synaptic (0.57.11ubuntu9) edgy; urgency=low

  * fix problem with pkgs disappering from the current view when
    certain auto-removable packages are marked for removal

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 13:39:35 +0200

synaptic (0.57.11ubuntu8) edgy; urgency=low

  * redo the auto flag on "restoreState()" too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 00:55:16 +0200

synaptic (0.57.11ubuntu7) edgy; urgency=low

  * auto install/garbage filter added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 15:04:36 +0200

synaptic (0.57.11ubuntu6) edgy; urgency=low

  * fix mark/unmark auto 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 14:18:43 +0200

synaptic (0.57.11ubuntu5) edgy; urgency=low

  * fix performance regression when canceling a operation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 11:52:30 +0200

synaptic (0.57.11ubuntu4) edgy; urgency=low

  * when switching views, don't autoselect "All"
  * support the "metapackages" section

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Sep 2006 20:30:45 +0200

synaptic (0.57.11ubuntu3) edgy; urgency=low

  * make "Fix Missing" and "Set Selections" faster (thanks to seb128
    for discovering this problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Sep 2006 15:59:20 +0200

synaptic (0.57.11ubuntu2) edgy; urgency=low

  * merged the ddtp support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 16:26:28 +0200

synaptic (0.57.11ubuntu1) edgy; urgency=low

  * merged with debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jul 2006 15:17:03 +0200

synaptic (0.57.11) unstable; urgency=low

  * po/ja.po: updated japanese translation (thanks to Daisuke SUZUKI)
  * po/sv.po: updated translation (thanks to Daniel Nylander)
  * UI and string fixes (thanks to Sebastian Heinlein)
  * show broken packages in the status view as well
  * don't show a download window if nothing is going to be downloaded
  * return non-zero exit code on error
  * po-manual/synaptic-manual.pot:
    - updated (thanks to Sebastian Heinlein)
  
 -- Michael Vogt <mvo@debian.org>  Thu, 27 Jul 2006 15:12:31 +0200

synaptic (0.57.10ubuntu3) edgy; urgency=low

  * show broken packages in the status view as well
  * don't show a download window if nothing is going to be downloaded
  * cleanups

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Jul 2006 11:47:31 +0200

synaptic (0.57.10ubuntu2) edgy; urgency=low

  * fixed FTBFS
  * build-dep on latest vte

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Jul 2006 16:17:25 +0200

synaptic (0.57.10ubuntu1) edgy; urgency=low

  * po/ja.po: updated japanese translation (thanks to Daisuke SUZUKI)
  * po/sv.po: updated translation (thanks to Daniel Nylander)
  * UI and string fixes (thanks to Sebastian Heinlein)
  * merged with debian
  * merged simple support for the apt auto-mark of automatic dependencies
    feature (new "Installed (auto removable)" status)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  3 Jul 2006 21:38:16 +0200

synaptic (0.57.10) unstable; urgency=low

  * fix a bug in the skip-taskbar handling (thanks to seb128)
  * fix the column sorting (closes: #361070)
  * use the urgency hint for the conffile prompt (ubuntu: #21898)
  * better handling of the automatic terminal expanding (ubuntu: #38935)
  * g++-4.1 fixes (thanks to Martin Michlmayr) (closes: #357863)
  * added some documentation for the 'Add downloaded packages' option
    (closes: #365446)

 -- Michael Vogt <mvo@debian.org>  Tue, 9 May 2006 09:50:02 +0200

synaptic (0.57.9) unstable; urgency=low

  * fix more set_transient() problems with run with --parent-window-id
  * fix problem with fetch window not centered on parent (thanks to
    seb128 and glatzor)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)
  * remove http:// when it was entered as part of the proxy uri
  * include reinstall markings in the "changes" filter
  * fix memory corruption problem

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Feb 2006 09:44:42 +0100
