## synaptic 0.57.11ubuntu12.1

=== debian/changelog ===
synaptic (0.57.11ubuntu12.1) edgy-proposed; urgency=low

  * gtk/rgmainwindow.cc:
    - fix crash in "Lock package" (lp: 64005)
  * gtk/rgpreferenceswindow.cc:
    - add default font to fix crash (lp: 65553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Oct 2006 16:12:55 +0200
