=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>> 3.0.0), libapt-pkg-dev (>= 0.6.40.1), gettext, libgtk2.0-dev, libvte-dev (>= 0.11.11), libglade2-dev, libxft2-dev, scrollkeeper, scrollkeeper, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), liblaunchpad-integration-dev
-Standards-Version: 3.6.1.0
+Build-Depends: debhelper (>= 5.0.0), libapt-pkg-dev (>= 0.6.45ubuntu11), gettext, libgtk2.0-dev, libvte-dev, libglade2-dev, libxft2-dev, scrollkeeper, scrollkeeper, intltool, xmlto, libsm-dev , sharutils, dpatch, lsb-release, dpkg (>= 1.13.9), liblaunchpad-integration-dev
+Standards-Version: 3.6.2
 
 Package: synaptic
 Architecture: any
